Page MenuHomePhabricator

Unify SCA Service Puppet Modules / Roles
Closed, ResolvedPublic

Description

Usage of service-template-node has started to pick up, which means we have services with a common underlying architecture which need to be deployed on the SCA cluster. As this deployment requires quite a few manual steps, the first obvious step is to have a unified Puppet module which would take care of setting up these common things.

Details

Related Gerrit Patches:
operations/puppet : productionservice::node: fix the look-up of undefined variables
operations/puppet : productionAdd a generic node service module

Event Timeline

mobrovac created this task.Apr 9 2015, 9:37 AM
mobrovac claimed this task.
mobrovac raised the priority of this task from to High.
mobrovac updated the task description. (Show Details)
mobrovac added subscribers: mobrovac, akosiaris, Joe, fgiunchedi.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 9 2015, 9:37 AM
bearND added a subscriber: bearND.Apr 10 2015, 5:16 AM

Change 203334 had a related patch set uploaded (by Mobrovac):
Add a generic SCA service module

https://gerrit.wikimedia.org/r/203334

Change 203334 merged by Giuseppe Lavagetto:
Add a generic node service module

https://gerrit.wikimedia.org/r/203334

Change 203886 had a related patch set uploaded (by Mobrovac):
service::node: fix the look-up of undefined variables

https://gerrit.wikimedia.org/r/203886

Change 203886 merged by Giuseppe Lavagetto:
service::node: fix the look-up of undefined variables

https://gerrit.wikimedia.org/r/203886

mobrovac closed this task as Resolved.Apr 14 2015, 12:37 PM

The module has been merged into ops/puppet. Additionally, citoid has been switched to use it and has been confirmed to work in both production and beta, so resolving.